/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package rabbitmqfastmessagingproducertest;

import java.util.List;
import java.util.ArrayList;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author alter
 */

public class Main {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        
        Main test = new Main();

        int threadCount = (args.length > 0) ? Integer.parseInt(args[0]) : 10;        
        
        test.RunTest(threadCount);
        
    }
    
    @SuppressWarnings("empty-statement")
    private void RunTest(int threadCount) {
             
        
        
            List <FastMessagingClientConsumer> consumers = new ArrayList(); ;
            List <FastMessagingProducer> producers = new ArrayList();;

            for (int i = 0; i < threadCount; i++) {

                FastMessagingClientConsumer consumer = new FastMessagingClientConsumer();
                consumer.setThreadId(i);
                
                consumers.add(consumer);
                
                FastMessagingProducer producer = new FastMessagingProducer();
                producer.setThreadId(i);
                // producer.start();

                producers.add(producer);
            }    

            for ( FastMessagingClientConsumer thread: consumers ) {
                thread.start();
            }
            for ( FastMessagingProducer thread: producers ) {
                thread.start();
            }

             
    }
}
